<template>
  <div>
    <form v-on:submit.prevent="onSubmitStore" ref="form">
      <div class="form-group">
        <textarea name="content" id="" cols="30" rows="10" class="form-control" v-model="content"></textarea>
      </div>
      <div class="col-md-12 text-center">
        <button class="btn btn-success" type="submit">Envoyer</button>
      </div>
    </form>
  </div>
</template>

<script>
export default {
  name: "FormRemarkItem",
  props: {
    help: {
      type: String
    }
  },
  data(){
    return {
      formHtml : '',
      content: ''
    }
  },
  methods: {

      async onSubmitStore() {
        const result = await this.$store.dispatch('remark/create', {content:this.content, helpId: this.help})
        if (result !== null) {
          this.$notification.success(result.message)
          this.content = ''
          await this.$store.dispatch('remark/findAll', this.help)
        }
      }
  }
}
</script>

<style scoped>

</style>